SDL_fmodf(3)

NAME
SDL_fmodf - Return the floating-point remainder of x/y

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

float SDL_fmodf(float x, float y);

DESCRIPTION
Divides x by y , and returns the remainder.

Domain: -INF<=x<=INF , -INF<=y<=INF , y!=0 Range: -y<=z<=y This function operates on single-precision floating point values, use

SDL_fmod
 for double-precision floats.

FUNCTION PARAMETERS

x   the numerator.

y   the denominator. Must not be 0.

RETURN VALUE
Returns the remainder of x/y .

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_fmod(3), •(3), SDL_truncf(3), •(3), SDL_modff(3), •(3), SDL_ceilf(3), •(3), SDL_floorf(3), •(3), SDL_roundf(3), •(3), SDL_lroundf(3)